Bug 242724 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Ben Marzinski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On: 242723
Blocks: 242725
TreeView+ depends on / blocked
 
Reported: 2007-06-05 15:01 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
12 users (show)

Fixed In Version: RHEA-2007-0808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:16:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0808 normal SHIPPED_LIVE device-mapper-multipath enhancement update 2007-11-14 21:45:30 UTC

Description Michal Marciniszyn 2007-06-05 15:01:20 UTC
+++ This bug was initially created as a clone of Bug #242723 +++

Description of problem:
The multipathd init script contains several wrong error code return commands.
Some of them also prevent the status command invocation, namely:
test -x $DAEMON || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Product and Program Management 2007-06-05 15:04:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Ben Marzinski 2007-07-23 22:16:34 UTC
This is now fixed to meet the guidelines.

Comment 6 errata-xmlrpc 2007-11-15 16:16:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0808.html



Note You need to log in before you can comment on or make changes to this bug.